org.eclipse.cdt.core.dom.ast

## Interface IASTImplicitDestructorNameOwner

All Superinterfaces:
  IASTNode

All Known Subinterfaces:
  ICPPASTArraySubscriptExpression, ICPPASTBinaryExpression, ICPPASTCastExpression, ICPPASTCatchHandler, ICPPASTCompoundStatement, ICPPASTDeleteExpression, ICPPASTExpression, ICPPASTExpressionList, ICPPASTFieldReference, ICPPASTForStatement, ICPPASTFunctionCallExpression, ICPPASTLambdaExpression, ICPPASTLiteralExpression, ICPPASTNaryTypeIdExpression, ICPPASTNewExpression, ICPPASTPackExpansionExpression, ICPPASTRangeBasedForStatement, ICPPASTSimpleTypeConstructorExpression, ICPPASTTypeIdExpression, ICPPASTTypenameExpression, ICPPASTUnaryExpression, IGPPASTBinaryExpression

    public interface IASTImplicitDestructorNameOwner
    extends IASTNode

An AST node that may have implicit destructor names.

Since:
  5.10
See Also:
  `IASTImplicitDestructorName`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `IMPLICIT_DESTRUCTOR_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IASTImplicitDestructorName[]` `getImplicitDestructorNames()`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, copy, copy, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### IMPLICIT_DESTRUCTOR_NAME

    static final ASTNodeProperty IMPLICIT_DESTRUCTOR_NAME

### Method Detail

#### getImplicitDestructorNames

    IASTImplicitDestructorName[] getImplicitDestructorNames()